Bug 213840 - net/vnstat: Please update to 1.15
Summary: net/vnstat: Please update to 1.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-27 20:59 UTC by Yuri Victorovich
Modified: 2016-10-31 18:17 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (feld)
feld: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2016-10-27 20:59:23 UTC
Thanks!
Comment 1 commit-hook freebsd_committer 2016-10-29 15:29:19 UTC
A commit references this bug:

Author: feld
Date: Sat Oct 29 15:28:58 UTC 2016
New revision: 424917
URL: https://svnweb.freebsd.org/changeset/ports/424917

Log:
  net/vnstat: Update to 1.15

  PR:		213840

Changes:
  head/net/vnstat/Makefile
  head/net/vnstat/distinfo
Comment 2 commit-hook freebsd_committer 2016-10-29 15:35:21 UTC
A commit references this bug:

Author: feld
Date: Sat Oct 29 15:35:16 UTC 2016
New revision: 424918
URL: https://svnweb.freebsd.org/changeset/ports/424918

Log:
  MFH: r424917

  net/vnstat: Update to 1.15

  PR:		213840

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/net/vnstat/Makefile
  branches/2016Q4/net/vnstat/distinfo
Comment 3 John Hein 2016-10-31 18:07:17 UTC
Minor issue with this commit.  'make show-dev-warnings' shows:

/!\ vnstat-1.15: Makefile warnings, please consider fixing /!\

It looks like the libgd.so:/usr/ports/graphics/gd depends line has an absolute port origin, make sure to remove ${PORTSDIR}/ from it.

Index: Makefile
===================================================================
--- Makefile    (revision 424996)
+++ Makefile    (working copy)
@@ -33,7 +33,7 @@
 OPTIONS_SUB=   yes
 GUI_DESC=      Build with graphics/gd dependency

-GUI_LIB_DEPENDS+=      libgd.so:${PORTSDIR}/graphics/gd
+GUI_LIB_DEPENDS+=      libgd.so:graphics/gd

 .include <bsd.port.options.mk>


Sorry to piggy-back on to this PR - I didn't think it was worth a new one.
Comment 4 Mark Felder freebsd_committer 2016-10-31 18:17:35 UTC
thanks for pointing that out. Fixed.